## audacity 3.2.5%2Bdfsg

=== debian/changelog ===
audacity (3.2.5+dfsg-0.1~mx21+1) mx; urgency=medium

  * New upstream release 3.2.5+dfsg.
  * Turn embedded sbsms back on; can't backport it with gcc-10, also restore
    the removed sbsms source to the orig Audacity source and re-create the
    orig.tar.xz file.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 03 Mar 2023 14:19:07 -0800

=== debian/control ===
Source: audacity
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Free Ekanayaka <freee@debian.org>,
           Benjamin Drung <bdrung@debian.org>,
           David Henningsson <diwic@ubuntu.com>,
           Jaromír Mikeš <mira.mikes@seznam.cz>,
           Dennis Braun <snd@debian.org>
Standards-Version: 4.6.2
Build-Depends: cmake (>= 3.15),
               debhelper-compat (= 12),
               gettext,
               libasound2-dev [linux-any],
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libexpat1-dev,
               libexpat1-dev:native,
               libflac++-dev,
               libgtk-3-dev,
               libgtk-3-dev:native,
               libid3tag0-dev,
               libjack-dev | libjack-jackd2-dev,
               liblilv-dev,
               libmp3lame-dev (>= 3.100-5~),
               libmp3lame-dev:native,
               libmpg123-dev,
               libogg-dev,
               libportmidi-dev,
               libportsmf-dev,
#               libsbsms-dev (>= 2.2.0~),
               libsndfile1-dev,
               libsndfile1-dev:native,
               libsoundtouch-dev,
               libsoxr-dev,
               libsoxr-dev:native,
               libsqlite3-dev,
               libsqlite3-dev:native,
               libsratom-dev,
               libsuil-dev,
               libtwolame-dev,
               libvorbis-dev,
               libwavpack-dev (>= 5.2.0),
               libwxgtk3.2-dev,
               libwxgtk3.2-dev:native,
               lv2-dev,
               portaudio19-dev,
               portaudio19-dev:native,
               uuid-dev,
               uuid-dev:native,
               vamp-plugin-sdk,
               zlib1g-dev,
               zlib1g-dev:native
Homepage: https://www.audacityteam.org/
Vcs-Browser: https://salsa.debian.org/multimedia-team/audacity
Vcs-Git: https://salsa.debian.org/multimedia-team/audacity.git
Rules-Requires-Root: no

Package: audacity
Architecture: any
Depends: audacity-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: ladspa-plugin
Description: fast, cross-platform audio editor
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and
 Windows.  It is designed for easy recording, playing and editing of
 digital audio.  Audacity features digital effects and spectrum
 analysis tools.  Editing is very fast and provides unlimited
 undo/redo.
 .
 Supported file formats include Ogg Vorbis, MP2, MP3, WAV, AIFF, and AU.

Package: audacity-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: audacity
Description: fast, cross-platform audio editor (data)
 Audacity is a multi-track audio editor for Linux/Unix, MacOS and
 Windows.  It is designed for easy recording, playing and editing of
 digital audio.  Audacity features digital effects and spectrum
 analysis tools.  Editing is very fast and provides unlimited
 undo/redo.
 .
 This package contains the architecture-independent data files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

CMAKE_FLAGS = \
	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
	-DCMAKE_INSTALL_LIBDIR=lib \
	-Daudacity_conan_enabled=Off \
	-Daudacity_has_networking=Off \
	-Daudacity_has_vst3=Off \
	-Daudacity_lib_preference=system \
	-Daudacity_use_ffmpeg=loaded \
	-DwxBUILD_TOOLKIT=gtk3 \
	$(NULL)

# ifeq (,$(findstring ~,$(DEB_VERSION_UPSTREAM)))
# No ~ in upstream version. Assuming release version (i.e. not alpha or beta version)
# CMAKE_FLAGS += -DAUDACITY_BUILD_LEVEL=2
# endif

ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
CROSS_CMAKE_FLAGS = -DIMAGE_COMPILER_EXECUTABLE=$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)/utils/image-compiler
endif

DISABLE_LIBRARIES = \
	-Daudacity_use_libflac=off \
	-Daudacity_use_libid3tag=off \
	-Daudacity_use_libmad=off \
	-Daudacity_use_libmpg123=off \
	-Daudacity_use_libogg=off \
	-Daudacity_use_libopus=off \
	-Daudacity_use_libvorbis=off \
	-Daudacity_use_lv2=off \
	-Daudacity_use_midi=off \
	-Daudacity_use_portsmf=off \
	-Daudacity_use_sbsms=on \
	-Daudacity_use_soundtouch=off \
	-Daudacity_use_twolame=off \
	-Daudacity_use_vamp=off \
	-Daudacity_use_wavpack=off \
	$(NULL)

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	rm -rf obj-$(DEB_BUILD_GNU_TYPE)
endif

override_dh_auto_configure:
ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
	cmake -B obj-$(DEB_BUILD_GNU_TYPE) -DCMAKE_VERBOSE_MAKEFILE=ON $(CMAKE_FLAGS) $(DISABLE_LIBRARIES)
	cmake --build obj-$(DEB_BUILD_GNU_TYPE) --target image-compiler
endif
	WX_CONFIG=/usr/lib/$(DEB_HOST_GNU_TYPE)/wx/config/gtk3-unicode-3.2 dh_auto_configure -- $(CMAKE_FLAGS) $(CROSS_CMAKE_FLAGS)

override_dh_auto_install:
	dh_auto_install
	# Don't package unnecessary copy of GPL
	rm debian/tmp/usr/share/doc/audacity/LICENSE.txt

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym

## audacity 3.2.5+dfsg

=== CMakeLists.txt ===
# If you want built-in precompiled header support
# then make sure you have cmake 3.16 or higher.
#
# Minimum required is 3.15 due to use of multiple values in
# generator expressions.
cmake_minimum_required( VERSION 3.15 )

# If building with GNU compiler, then must be 4.9 or later.
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU" AND
    CMAKE_CXX_COMPILER_VERSION VERSION_LESS "4.9")
   message(FATAL_ERROR "Audacity requires at least GCC 4.9")
endif ()

if( EXISTS "${CMAKE_SOURCE_DIR}/cmake-proxies/cmake-modules/Variables.cmake" )
   include( "${CMAKE_SOURCE_DIR}/cmake-proxies/cmake-modules/Variables.cmake" )
endif()

# We only do alpha builds, beta builds, and release versions.
# Most of the time we're in development, so AUDACITY_BUILD_LEVEL should be
# defined to 0.
# Its value may be more than 0 for pre-release "Beta" builds that differ only
# in the welcome screen, and hiding of some development menu commands, but
# still link to the alpha manual online.

# Set this value to 0 for alpha, 1 for beta, 2 for release builds
if( NOT DEFINED AUDACITY_BUILD_LEVEL )
   set( AUDACITY_BUILD_LEVEL 0 CACHE STRING "0 for alpha, 1 for beta, 2 for release builds" )
endif()

# The Audacity version
# Increment as appropriate after release of a new version, and set back
# AUDACITY_BUILD_LEVEL to 0
set( AUDACITY_VERSION 3 )
set( AUDACITY_RELEASE 2 )
set( AUDACITY_REVISION 5 )
set( AUDACITY_MODLEVEL 0 )

string( TIMESTAMP __TDATE__ "%Y%m%d" )
if( AUDACITY_BUILD_LEVEL EQUAL 0 )
   set( AUDACITY_SUFFIX "-alpha-${__TDATE__}" )
elseif(  AUDACITY_BUILD_LEVEL EQUAL 1 )
   set( AUDACITY_SUFFIX "-beta-${__TDATE__}" )
else()
   set( AUDACITY_SUFFIX "" )
endif()

# Don't allow in-source builds...no real reason, just
# keeping those source trees nice and tidy.  :-)
# (This can be removed if it becomes an issue.)
if( "${CMAKE_SOURCE_DIR}" STREQUAL "${CMAKE_BINARY_DIR}" )
   message( FATAL_ERROR
      "In-source builds not allowed.\n"
      "Create a new directory and run cmake from there, i.e.:\n"
      "  mkdir build\n"
      "  cd build\n"
      "  cmake ..\n"
      "You will need to delete CMakeCache.txt and CMakeFiles from this directory to clean up."
   )
endif()

# Just a couple of convenience variables
set( topdir "${CMAKE_SOURCE_DIR}" )
set( libsrc "${topdir}/lib-src" )

# Default build type is Debug
if( NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES )
   set( CMAKE_BUILD_TYPE "Debug" )
endif()

# Ignore COMPILE_DEFINITIONS_<Config> properties
cmake_policy( SET CMP0043 NEW )

# Link libraries by full path even in implicit directories.
cmake_policy( SET CMP0060 NEW )

# ``INTERPROCEDURAL_OPTIMIZATION`` is enforced when enabled.
cmake_policy( SET CMP0069 NEW )

# ``FindOpenGL`` prefers GLVND by default when available.
cmake_policy( SET CMP0072 NEW )

# Include file check macros honor ``CMAKE_REQUIRED_LIBRARIES``.
cmake_policy( SET CMP0075 NEW )

# Definitions that must happen before the project() command
if( APPLE )
   # CMAKE_HOST_SYSTEM_PROCESSOR is empty before the project() command
   execute_process(
      COMMAND uname -m
      OUTPUT_VARIABLE HOST_SYSTEM_PROCESSOR
      OUTPUT_STRIP_TRAILING_WHITESPACE
   )

   set( MACOS_ARCHITECTURE "${HOST_SYSTEM_PROCESSOR}" CACHE STRING "Target architecture for macOS builds. One of x86_64/arm64" )

   if( MACOS_ARCHITECTURE STREQUAL "x86_64" )
      set( MIN_MACOS_VERSION 10.9 )
      set( TARGET_MACOS_VERSION 10.13 )
      set( CMAKE_OSX_ARCHITECTURES x86_64 CACHE INTERNAL "" )
   elseif( MACOS_ARCHITECTURE STREQUAL "arm64" )
      set( MIN_MACOS_VERSION 10.13 )
      set( TARGET_MACOS_VERSION 10.13 )
      set( CMAKE_OSX_ARCHITECTURES arm64 CACHE INTERNAL "" )
   else()
      message( FATAL_ERROR "MACOS_ARCHITECTURE must be x86_64 or arm64")
   endif()
   # Generate schema files
   set( CMAKE_XCODE_GENERATE_SCHEME ON )

   # Define the OSX compatibility parameters
   set( CMAKE_OSX_DEPLOYMENT_TARGET ${MIN_MACOS_VERSION} CACHE INTERNAL "" )
   set( CMAKE_OSX_SYSROOT macosx CACHE INTERNAL "" )
   set( CMAKE_XCODE_ATTRIBUTE_CODE_SIGN_IDENTITY "" CACHE INTERNAL "" )

   # This prevents a link error when building with the 10.9 or older SDKs
   set( CMAKE_XCODE_ATTRIBUTE_CLANG_LINK_OBJC_RUNTIME OFF )

   # Shouldn't cmake do this???
   string( APPEND CMAKE_CXX_FLAGS " -stdlib=libc++" )
endif()

# Add our module path
# CMAKE_BINARY_DIR is required for Conan to work
set( AUDACITY_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake-proxies/cmake-modules")
set( CMAKE_MODULE_PATH
   ${AUDACITY_MODULE_PATH}
   ${CMAKE_BINARY_DIR}
   ${CMAKE_MODULE_PATH}
)

set( CMAKE_PREFIX_PATH
   ${CMAKE_BINARY_DIR}
   ${CMAKE_PREFIX_PATH}
)

# This "is a good thing" but greatly increases link time on Linux
#set( CMAKE_INTERPROCEDURAL_OPTIMIZATION ON )
#set( CMAKE_INTERPROCEDURAL_OPTIMIZATION_RELEASE ON )
#set( CMAKE_INTERPROCEDURAL_OPTIMIZATION_DEBUG OFF )

# Set the required C++ standard
set( CMAKE_CXX_STANDARD 17 )
set( CMAKE_CXX_STANDARD_REQUIRED ON )

# Use ccache if available
find_program( CCACHE_PROGRAM ccache )
mark_as_advanced( FORCE CCACHE_PROGRAM )

if( CCACHE_PROGRAM )
   set_property( GLOBAL PROPERTY RULE_LAUNCH_COMPILE "${CCACHE_PROGRAM}" )
endif()

# Define option() prefix
set( _OPT "audacity_" )

# Our very own project
project( Audacity )

# XCode 14 no longer allows building unsigned binaries.
# So for the XCode 14 `-` is passed as the code sign identity, which stands for
# local signing. `--deep` is passed, because 3d party libraries are copied unsigned.
# XCODE_VERSION is defined only after the project() command

if( APPLE )
   if (XCODE_VERSION VERSION_LESS 14)
      set( CMAKE_XCODE_ATTRIBUTE_CODE_SIGN_IDENTITY "" CACHE INTERNAL "" )
   else()
      set( CMAKE_XCODE_ATTRIBUTE_CODE_SIGN_IDENTITY "-" CACHE INTERNAL "" )
      set( CMAKE_XCODE_ATTRIBUTE_OTHER_CODE_SIGN_FLAGS "--deep" CACHE INTERNAL "")
   endif()
endif()

# Load our functions/macros
include( AudacityFunctions )

set_from_env(AUDACITY_ARCH_LABEL) # e.g. x86_64

cmd_option( ${_OPT}bundle_gplv3
            "Bundle GPLv3 license instead of GPLv2 with the resulting binary."
            On)

# Allow user to globally set the library preference
cmd_option( ${_OPT}conan_enabled
            "Use Conan package manager for 3d party dependencies"
            On
)

cmd_option( ${_OPT}conan_allow_prebuilt_binaries
            "Allow using the compiled dependencies from the cache or remotes"
            On
)

cmd_option( ${_OPT}conan_force_build_dependencies
            "Force Conan to rebuild the dependencies every time"
            Off
)

# Allow user to globally set the library preference
cmd_option( ${_OPT}lib_preference
            "Library preference [system (if available), local]"
            "local"
            STRINGS "system" "local"
)

# Special mode, that will force dependencies to the packages provided by system unless they were set to local explicitly.
cmd_option( ${_OPT}obey_system_dependencies
            "Use system packages to satisfy dependencies"
            Off
)

cmd_option( ${_OPT}has_networking
   "Build networking features into Audacity"
   Off)

cmd_option( ${_OPT}has_url_schemes_support
   "Build custom URL schemes support into Audacity"
   Off)

include( CMakeDependentOption )

cmake_dependent_option(
   ${_OPT}has_tests
   "Enables automated testing support"
   On
   "${_OPT}conan_enabled"
   Off
)

cmake_dependent_option(
   ${_OPT}has_audiocom_upload
   "Enables uploading of Audacity recordings to Audio.com"
   Off
   "${_OPT}has_networking"
   Off
)

include( AudacityDependencies )
include( AudacityTesting )

# Pull all the modules we'll need
include( CheckCXXCompilerFlag )
include( CheckIncludeFile )
include( CheckIncludeFiles )
include( CheckLibraryExists )
include( CheckSymbolExists )
include( CheckTypeSize )
include( CMakeDetermineASM_NASMCompiler )
include( CMakePushCheckState )
include( GNUInstallDirs )
include( TestBigEndian )

set_from_env(SENTRY_DSN_KEY)
set_from_env(SENTRY_HOST)
set_from_env(SENTRY_PROJECT)
set_from_env(CRASH_REPORT_URL)

cmake_dependent_option(
   ${_OPT}has_sentry_reporting
   "Build support for sending errors to Sentry"
   On
   "${_OPT}has_networking;DEFINED SENTRY_DSN_KEY;DEFINED SENTRY_HOST;DEFINED SENTRY_PROJECT"
   Off
)

cmake_dependent_option(
   ${_OPT}has_crashreports
   "Enables crash reporting for Audacity"
   On
   "${_OPT}has_networking;DEFINED CRASH_REPORT_URL"
   Off
)

cmake_dependent_option(
   ${_OPT}has_updates_check
   "Build updates checking features into Audacity"
   On
   "${_OPT}has_networking"
   Off
)

option(${_OPT}has_vst3
    "Enable support for VST3 plug-ins in Audacity"
    On
)

# Determine 32-bit or 64-bit target
if( CMAKE_C_COMPILER_ID MATCHES "MSVC" AND CMAKE_VS_PLATFORM_NAME MATCHES "Win64|x64" )
   set( IS_64BIT ON )
elseif( NOT CMAKE_SIZEOF_VOID_P STREQUAL "4" )
   set( IS_64BIT ON )
endif()

message( STATUS "Build Info:" )
message( STATUS "  Host System: ${CMAKE_HOST_SYSTEM}" )
message( STATUS "  Host System Name: ${CMAKE_HOST_SYSTEM_NAME}" )
message( STATUS "  Host System Processor: ${CMAKE_HOST_SYSTEM_PROCESSOR}" )
message( STATUS "  Host System Version: ${CMAKE_HOST_SYSTEM_VERSION}" )

if( IS_64BIT )
   message( STATUS "  Host System Architecture: 64-bit" )
else()
   message( STATUS "  Host System Architecture: 32-bit" )
endif()

message( STATUS )
message( STATUS "  Compiler: ${CMAKE_CXX_COMPILER}" )
message( STATUS "  Compiler Version: ${CMAKE_CXX_COMPILER_VERSION}" )
message( STATUS "  Compiler Standard: ${CMAKE_CXX_STANDARD}" )
message( STATUS "  Compiler Standard Required: ${CMAKE_CXX_STANDARD_REQUIRED}" )
message( STATUS "  Compiler Extensions: ${CMAKE_CXX_EXTENSIONS}" )
message( STATUS )

if( CMAKE_GENERATOR MATCHES "Visual Studio" )
   message( STATUS "  MSVC Version: ${MSVC_VERSION}" )
   message( STATUS "  MSVC Toolset: ${MSVC_TOOLSET_VERSION}" )
   message( STATUS )
elseif( CMAKE_SYSTEM_NAME MATCHES "Darwin" )
   if( CMAKE_GENERATOR MATCHES "Xcode" )
      message( STATUS "  Xcode Version: ${XCODE_VERSION}" )
   endif()
   message( STATUS "  MacOS SDK: ${CMAKE_OSX_SYSROOT}" )
   message( STATUS )

   if(${_OPT}has_crashreports)
      set(CMAKE_XCODE_ATTRIBUTE_DEBUG_INFORMATION_FORMAT "dwarf-with-dsym")
   endif()

endif()

# Try to get the current commit information
set( GIT_COMMIT_SHORT "unknown" )
set( GIT_COMMIT_LONG "unknown" )
set( GIT_COMMIT_TIME "unknown" )
find_package( Git QUIET )
if( GIT_FOUND )
   execute_process(
      COMMAND
         ${GIT_EXECUTABLE} show -s "--format=%h;%H;%cd"
      WORKING_DIRECTORY
         ${topdir}
      OUTPUT_VARIABLE
         git_output
      OUTPUT_STRIP_TRAILING_WHITESPACE
      ERROR_QUIET
   )

   if( git_output )
      list( GET git_output 0 GIT_COMMIT_SHORT )
      list( GET git_output 1 GIT_COMMIT_LONG )
      list( GET git_output 2 GIT_COMMIT_TIME )

      file(WRITE
         "${CMAKE_BINARY_DIR}/Variables.cmake"
         "set( AUDACITY_BUILD_LEVEL ${AUDACITY_BUILD_LEVEL} )\nset( AUDACITY_REV_LONG \"${GIT_COMMIT_LONG}\" )\nset( AUDACITY_REV_TIME \"${GIT_COMMIT_TIME}\" )\n"
      )
   endif()
endif()
message( STATUS "  Current Commit: ${GIT_COMMIT_SHORT}" )
message( STATUS )

# Organize subdirectories/targets into folders for the IDEs
set_property( GLOBAL PROPERTY USE_FOLDERS ON )

if( CMAKE_GENERATOR MATCHES "Visual Studio" )
   # Make sure Audacity is the startup project
   set_directory_properties(
      PROPERTIES
         VS_STARTUP_PROJECT "${CMAKE_PROJECT_NAME}"
   )

   # Build using multiple processors
   foreach( config ${CMAKE_CONFIGURATION_TYPES} )
      string( TOUPPER "${config}" config )
      string( APPEND CMAKE_C_FLAGS_${config} " /MP" )
      string( APPEND CMAKE_CXX_FLAGS_${config} " /MP" )
   endforeach()

   # Define system library information, but we'll do the install
   set( CMAKE_INSTALL_SYSTEM_RUNTIME_LIBS_SKIP YES )
   set( CMAKE_INSTALL_UCRT_LIBRARIES NO )
   set( CMAKE_INSTALL_MFC_LIBRARIES NO )
   set( CMAKE_INSTALL_OPENMP_LIBRARIES NO )
   include( InstallRequiredSystemLibraries )
endif()

=== debian/changelog ===
audacity (3.2.5+dfsg-0.1~mx23+1) mx; urgency=medium

  * New upstream release 3.2.5+dfsg.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 03 Mar 2023 14:19:07 -0800

=== debian/control ===
--- 
+++ 
@@ -30,7 +30,7 @@
                libogg-dev,
                libportmidi-dev,
                libportsmf-dev,
-#               libsbsms-dev (>= 2.2.0~),
+               libsbsms-dev (>= 2.2.0~),
                libsndfile1-dev,
                libsndfile1-dev:native,
                libsoundtouch-dev,
@@ -43,8 +43,8 @@
                libtwolame-dev,
                libvorbis-dev,
                libwavpack-dev (>= 5.2.0),
-               libwxgtk3.2-dev,
-               libwxgtk3.2-dev:native,
+               libwxgtk3.2-dev | libwxgtk3.0-gtk3-dev,
+               libwxgtk3.2-dev:native | libwxgtk3.0-gtk3-dev:native,
                lv2-dev,
                portaudio19-dev,
                portaudio19-dev:native,

=== debian/rules ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	-Daudacity_use_lv2=off \
 	-Daudacity_use_midi=off \
 	-Daudacity_use_portsmf=off \
-	-Daudacity_use_sbsms=on \
+	-Daudacity_use_sbsms=off \
 	-Daudacity_use_soundtouch=off \
 	-Daudacity_use_twolame=off \
 	-Daudacity_use_vamp=off \

## audacity 3.3.3

=== libraries/CMakeLists.txt ===
# Include the libraries that we'll build

# The list of modules is ordered so that each library occurs after any others
# that it depends on
set( LIBRARIES
   lib-string-utils
   lib-strings
   lib-utility
   lib-uuid
   lib-components
   lib-basic-ui
   lib-exceptions
   lib-preferences
   lib-math
   lib-files
   lib-ipc
   lib-registries
   lib-xml
   lib-audio-devices
   lib-project
   lib-screen-geometry
   lib-project-rate
   lib-ffmpeg-support
   lib-theme
   image-compiler # not a library, but has a place in their dependency graph
   lib-theme-resources
   lib-track
   lib-transactions
   lib-sample-track
   lib-module-manager
   lib-project-history
   lib-graphics
   lib-audio-graph
   lib-tags
   lib-realtime-effects
   lib-audio-io
   lib-wave-track
   lib-track-selection
   lib-project-file-io
   lib-command-parameters
   lib-numeric-formats
   lib-effects
   lib-time-frequency-selection
   lib-wx-wrappers
   lib-shuttlegui
   lib-wx-init
   lib-time-track
   lib-vst3
   lib-snapping
)

if ( ${_OPT}has_networking )
   list( APPEND LIBRARIES lib-network-manager)
endif()

if ( ${_OPT}has_url_schemes_support )
   list( APPEND LIBRARIES lib-url-schemes)
endif()

if ( ${_OPT}has_audiocom_upload)
   list( APPEND LIBRARIES
      lib-cloud-upload
      lib-cloud-audiocom
   )
endif()

if( ${_OPT}has_crashreports )
   if( ${_OPT}crashreport_backend STREQUAL "breakpad" )
      list( APPEND LIBRARIES lib-breakpad-configurer )
   elseif( ${_OPT}crashreport_backend STREQUAL "crashpad" )
      list( APPEND LIBRARIES lib-crashpad-configurer )
   endif()
endif()

# This library depends on lib-network-manager
# If Sentry reporting is disabled, an INTERFACE library
# will be defined
list( APPEND LIBRARIES lib-sentry-reporting)

foreach( LIBRARY ${LIBRARIES} )
   add_subdirectory( "${LIBRARY}" )
endforeach()

set( GRAPH_EDGES "${GRAPH_EDGES}" PARENT_SCOPE )

=== modules/CMakeLists.txt ===
# Include the modules that we'll build

# The list of modules is ordered so that each module occurs after any others
# that it depends on
set( MODULES
   mod-script-pipe
)
if( NOT CMAKE_SYSTEM_NAME MATCHES "Windows" )
   list( APPEND MODULES
      mod-null
      mod-nyq-bench
   )
endif()

foreach( MODULE ${MODULES} )
   add_subdirectory("${MODULE}")
endforeach()

#propagate collected edges up to root CMakeLists.txt
set( GRAPH_EDGES "${GRAPH_EDGES}" PARENT_SCOPE )

=== libraries/lib-cloud-upload/CMakeLists.txt ===
#[[
A library, that allows uploading to audio.com sharing service
]]

set( TARGET lib-cloud-upload )
set( TARGET_ROOT ${CMAKE_CURRENT_SOURCE_DIR} )

def_vars()

set( SOURCES
   CloudExporterPlugin.cpp
   CloudExporterPlugin.h
   CloudExportersRegistry.cpp
   CloudExportersRegistry.h
   MimeTypesList.h
)


set ( LIBRARIES
   lib-strings-interface
)

set ( DEFINES
   INTERFACE
      HAS_CLOUD_UPLOAD=1
)

audacity_library( ${TARGET} "${SOURCES}" "${LIBRARIES}" "${DEFINES}" "" )

=== debian/changelog ===
audacity (3.3.3-0.1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.
  * Cmake min. version raised to 3.19.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 13 Jun 2023 14:38:39 -0700

audacity (3.3.3-0build1~ubuntu22.04) jammy; urgency=medium

  * #4618 Fixed EQ not scaling properly when resizing the window.
  * #4743 Fixed the audio.com upload flow.

 -- pandajim (key for lives deb) <ubuntuhandbook1@gmail.com>  Wed, 01 Feb 2023 21:56:51 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
            Jaromír Mikeš <mira.mikes@seznam.cz>,
            Dennis Braun <snd@debian.org>
 Standards-Version: 4.6.2
-Build-Depends: cmake (>= 3.15),
+Build-Depends: cmake (>= 3.19),
                debhelper-compat (= 12),
                gettext,
                libasound2-dev [linux-any],
@@ -24,13 +24,13 @@
                libid3tag0-dev,
                libjack-dev | libjack-jackd2-dev,
                liblilv-dev,
-               libmp3lame-dev (>= 3.100-5~),
+               libmp3lame-dev (>= 3.100-1),
                libmp3lame-dev:native,
                libmpg123-dev,
                libogg-dev,
                libportmidi-dev,
                libportsmf-dev,
-               libsbsms-dev (>= 2.2.0~),
+               libsbsms-dev,
                libsndfile1-dev,
                libsndfile1-dev:native,
                libsoundtouch-dev,
@@ -42,9 +42,9 @@
                libsuil-dev,
                libtwolame-dev,
                libvorbis-dev,
-               libwavpack-dev (>= 5.2.0),
-               libwxgtk3.2-dev | libwxgtk3.0-gtk3-dev,
-               libwxgtk3.2-dev:native | libwxgtk3.0-gtk3-dev:native,
+               libwavpack-dev,
+               libwxgtk3.2-dev,
+               libwxgtk3.2-dev:native,
                lv2-dev,
                portaudio19-dev,
                portaudio19-dev:native,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,9 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+# Tell to use gcc 11 for Focal
+#export CC=/usr/bin/gcc-11
+#export CXX=/usr/bin/g++-11
 
 CMAKE_FLAGS = \
 	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
@@ -16,10 +19,10 @@
 	-DwxBUILD_TOOLKIT=gtk3 \
 	$(NULL)
 
-# ifeq (,$(findstring ~,$(DEB_VERSION_UPSTREAM)))
-# No ~ in upstream version. Assuming release version (i.e. not alpha or beta version)
-# CMAKE_FLAGS += -DAUDACITY_BUILD_LEVEL=2
-# endif
+ifeq (,$(findstring ~,$(DEB_VERSION_UPSTREAM)))
+# No ~ in upstream version. Assuming release version (i.e. not alhpa or beta version)
+CMAKE_FLAGS += -DAUDACITY_BUILD_LEVEL=2
+endif
 
 ifneq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
 CROSS_CMAKE_FLAGS = -DIMAGE_COMPILER_EXECUTABLE=$(CURDIR)/obj-$(DEB_BUILD_GNU_TYPE)/utils/image-compiler
@@ -31,12 +34,12 @@
 	-Daudacity_use_libmad=off \
 	-Daudacity_use_libmpg123=off \
 	-Daudacity_use_libogg=off \
-	-Daudacity_use_libopus=off \
+	-Daudacity_use_libopus=on \
 	-Daudacity_use_libvorbis=off \
 	-Daudacity_use_lv2=off \
 	-Daudacity_use_midi=off \
 	-Daudacity_use_portsmf=off \
-	-Daudacity_use_sbsms=off \
+	-Daudacity_use_sbsms=on \
 	-Daudacity_use_soundtouch=off \
 	-Daudacity_use_twolame=off \
 	-Daudacity_use_vamp=off \
@@ -59,8 +62,7 @@
 endif
 	WX_CONFIG=/usr/lib/$(DEB_HOST_GNU_TYPE)/wx/config/gtk3-unicode-3.2 dh_auto_configure -- $(CMAKE_FLAGS) $(CROSS_CMAKE_FLAGS)
 
-override_dh_auto_install:
-	dh_auto_install
+execute_after_dh_auto_install:
 	# Don't package unnecessary copy of GPL
 	rm debian/tmp/usr/share/doc/audacity/LICENSE.txt

## audacity 3.3.3+dfsg

=== libraries/lib-cloud-audiocom/CMakeLists.txt ===
#[[
A library, that allows uploading to audio.com sharing service
]]

set( TARGET lib-cloud-audiocom )
set( TARGET_ROOT ${CMAKE_CURRENT_SOURCE_DIR} )

def_vars()

set( SOURCES
   OAuthService.cpp
   OAuthService.h
   ServiceConfig.cpp
   ServiceConfig.h
   UploadService.cpp
   UploadService.h
   UserService.cpp
   UserService.h
)


set ( LIBRARIES
   lib-cloud-upload-interface
   lib-network-manager-interface # Required for the networking
   lib-files-interface # FileNames
   lib-strings-interface # Languages

   PRIVATE
      rapidjson::rapidjson # Protocol is JSON based
      wxwidgets::base # Required to retrieve the OS information
)

set ( DEFINES
   INTERFACE
      HAS_AUDIOCOM_UPLOAD=1
)

audacity_library( ${TARGET} "${SOURCES}" "${LIBRARIES}" "${DEFINES}" "" )

=== libraries/lib-sample-track/CMakeLists.txt ===
#[[
SampleTrack extends Track with an interface for random access into a range of
stored samples.

SampleTrackCache holds a buffer in memory fetched from a SampleTrack, so
repeated fetches of small but nearby sub-ranges can be satisfied with fewer
but larger fetches from SampleTrack, aligned to underlying database block
boundaries.

WritableSampleTrack extends SampleTrack to support appending.

Mix combines muliple SampleTracks into one output stream of samples, also
handling resampling to different rates.

These interfaces are sufficient for the audio engine to play and record tracks,
so the engine will not depend on a particular realization of sample storage.
]]

set( SOURCES
   SampleTrack.cpp
   SampleTrack.h
   SampleTrackCache.cpp
   SampleTrackCache.h
   SampleTrackSource.cpp
   SampleTrackSource.h
   Mix.cpp
   Mix.h
   MixerOptions.cpp
   MixerOptions.h
   MixerSource.cpp
   MixerSource.h
)
set( LIBRARIES
   lib-audio-graph-interface
)
audacity_library( lib-sample-track "${SOURCES}" "${LIBRARIES}"
   "" ""
)

=== libraries/lib-utility/CMakeLists.txt ===
#[[
A small library defining various constants and utilities

No dependencies on wxWidgets.  Few symbols with linkage.  Many templates.

One very important utility is finally() as defined in The C++ Programming
Language, fourth edition, for describing ad-hoc RAII actions.

Historically, MemoryX.h began as a wrapper of C++11 <memory>, which by itself
did not yet provide std::make_unique.  That explains the name.

Audacity now uses C++17, and yet, need arose for other anticipations of future
standards.  It also provides other pervasively used utilities that don't
correspond to things in the standard.

]]#

set( SOURCES
   BufferedStreamReader.cpp
   BufferedStreamReader.h
   CommandLineArgs.cpp
   CommandLineArgs.h
   CFResources.h
   GlobalVariable.h
   MemoryX.cpp
   MemoryX.h
   MessageBuffer.h
   ModuleConstants.cpp
   ModuleConstants.h
   MemoryStream.cpp
   MemoryStream.h
   Observer.cpp
   Observer.h
   PackedArray.h
   spinlock.h
   TypedAny.h
)
audacity_library( lib-utility "${SOURCES}" ""
   "" ""
)

=== debian/changelog ===
audacity (3.3.3+dfsg-1) unstable; urgency=medium

  * New upstream version 3.3.3+dfsg
  * Refresh patchset
  * d/copyright: Refresh file list
  * Refresh d/audacity.lintian-overrides

 -- Dennis Braun <snd@debian.org>  Fri, 16 Jun 2023 22:34:40 +0200
